{
  config,
  lib,
  osConfig,
  ...
}: let
  cfg = config.marleyos.programs.nh;
in {
  options.marleyos.programs.nh.enable = lib.mkEnableOption "nh";

  config = lib.mkIf cfg.enable {
    programs.nh = {
      enable = true;
      clean =
        osConfig.programs.nh.clean
        or {
          enable = true;
          dates = "daily";
          extraArgs = "--keep-since 7d --keep 3";
        };
    };
  };
}
